-- raise2.sql

DECLARE
  TYPE raise_amt_type IS TABLE OF number;
  TYPE store_no_type IS TABLE OF number;
  raise raise_amt_type := 
    raise_amt_type(1.06,1.1,1.07,1.05,1.1,1.12,1.02);
  stores store_no_type := store_no_type(1,2,3,4,5,6,7);
BEGIN
  stores.DELETE(3);
  FORALL j IN INDICES OF stores
    UPDATE employee SET pay_amount = pay_amount * raise(j)      
     WHERE store_number = stores(j);
END;
/
